METUS API Hub
Salesforce

Get lead information

GET
https://api.metahvac.com
/salesforce/v1.1/leads/:id

Retrieve detailed information for a single lead by ID

Get lead information › Headers

Authorization
​string · required

The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Get lead information › Responses

200

Successful response for single lead details

id
​string
email
​string · email
name
​string
FirstName
​string
LastName
​string
company
​string
phone
​string
category
​string
status
​string
purchaseStatus
​string
address
​object
annualRevenue
​number
assignedContractor
​string
assignedBU
​string
doNotSell
​boolean
approvalCode
​string
isApprovedHEAR
​boolean
isQualifiedHEAR
​boolean
tierHEAR
​string
Consumer_Rebate_Summary__c
​string
Contractor_Rebate_Summary__c
​string
Campaign__c
​string
Auto_Assign_Contractors__c
​boolean
Rooms__c
​string
When_Are_You_Planning_to_Purchase__c
​string
RecordTypeId
​string

Get leads

GET
https://api.metahvac.com
/salesforce/v1.1/leads

Retrieve a paginated list of leads with basic information for browsing

Get leads › query Parameters

fields
​string[]

Comma seperated list of fields from Salesforce

createdAfter
​string · date-time

ISO formatted date to filter leads after

count
​number

number of leads returned for pagination use

cursorCreatedDate
​string · date-time

PAGINATION USE ONLY: Last date from previous query

cursorId
​date

PAGINATION USE ONLY: Last ID of lead from previous query

Get leads › Headers

Authorization
​string · required

The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Get leads › Responses

Successful response for list of leads

Id
​string
CreatedDate
​string · date-time
LeadID__c
​string
Status
​string
LeadSource
​string
Name
​string
Business_Unit__c
​string
StateCode
​string
PostalCode
​string
Campaign__c
​string
marketing_term__c
​string
marketing_medium__c
​string
utm_advertising_campaign__c
​string
Rooms__c
​string
When_Are_You_Planning_to_Purchase__c
​string
RecordTypeId
​string